
Foreman - Bug #4977

setting root_pass to empty string from the settings page breaks foreman

03/31/2014 03:58 PM - cristian falcas

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Settings   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

After I set the root_pass parameter to an empty string, I couldn't edit host_group on any host.

I put foreman in debug mode, but there was no relevant output.

Also, as a side node, i found it unintuitive to have root_pass in foreman and the exported name to be root_pw in puppet.

Version of foreman is 1.4.1

Related issues:

Related to Foreman - Feature #3725: Make default root password more explicit ... Closed 11/22/2013

History

#1 - 03/31/2014 04:02 PM - Dominic Cleal

- Category set to Settings

- Status changed from New to Feedback

Would you be able to re-test on Foreman 1.5?  The default has now changed to an empty string, so I think it should now work.

#2 - 03/31/2014 04:04 PM - cristian falcas

Sure, I will update and retest when foreman 1.5 will be available.

#3 - 03/31/2014 04:07 PM - Dominic Cleal

- Related to Feature #3725: Make default root password more explicit and configurable at install time added

#4 - 04/30/2014 07:14 AM - cristian falcas

This is fixed in 1.5

Thank you

#5 - 04/30/2014 07:46 AM - Dominic Cleal

- Status changed from Feedback to Resolved

Thanks!
